summaryrefslogtreecommitdiff
path: root/examples/filebrowser/frontend-zenity.sh
diff options
context:
space:
mode:
authorepoch <epoch@hacking.allowed.org>2018-03-29 18:20:49 -0500
committerepoch <epoch@hacking.allowed.org>2018-03-29 18:20:49 -0500
commit52dd0d6fd34e3ad8bef1cd9e613c71f28c48c33a (patch)
treefa58f2fb8bcdf276630146f5ffdb963083201c29 /examples/filebrowser/frontend-zenity.sh
parent114f10e727bd9fa75d0810cc593ba620d769a03f (diff)
downloadhackvr-52dd0d6fd34e3ad8bef1cd9e613c71f28c48c33a.tar.gz
hackvr-52dd0d6fd34e3ad8bef1cd9e613c71f28c48c33a.zip
moved filebrowser stuff to examples dir
Diffstat (limited to 'examples/filebrowser/frontend-zenity.sh')
-rwxr-xr-xexamples/filebrowser/frontend-zenity.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/examples/filebrowser/frontend-zenity.sh b/examples/filebrowser/frontend-zenity.sh
new file mode 100755
index 0000000..cb1fa9d
--- /dev/null
+++ b/examples/filebrowser/frontend-zenity.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+if [ "_$1" = "_" ];then
+ echo "I need a backend script passed as first argument." >&2
+ exit 1
+fi
+stdbuf -oL $1 < p | stdbuf -oL tr '\n' ' ' | sed -u 's/$/_/' | stdbuf -oL tr '_' '\n' | xargs -L1 zenity --list --column file > p